Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.header
Class HeaderCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.header.AbstractHeaderCheck
                      com.puppycrawl.tools.checkstyle.checks.header.HeaderCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class HeaderCheck

extends AbstractHeaderCheck

Checks the header of the source against a fixed header file.

Author:
  Lars Kühne

Constructor Summary
`HeaderCheck()`

Method Summary
`void` | `beginTree(DetailAST aRootAST)` Called before the starting to process a tree.
`protected com.puppycrawl.tools.checkstyle.checks.header.HeaderInfo` | `createHeaderInfo()` Abstract factory method to create an unconfigured header info bean.
`protected boolean` | `isMatch(int aLineNumber)` Checks if a code line matches the required header line.
`void` | `setIgnoreLines(int[] aList)` Set the lines numbers to ignore in the header check.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.header.AbstractHeaderCheck
`finishLocalSetup, getDefaultTokens, getHeaderInfo, getHeaderLines, setHeader, setHeaderFile`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderCheck

    public HeaderCheck()

Method Detail

### isMatch

    protected boolean isMatch(int aLineNumber)

  Checks if a code line matches the required header line.

  Parameters:
    `aLineNumber` - the linenumber to check against the header
  Returns:
    true if and only if the line matches the required header line

### setIgnoreLines

    public void setIgnoreLines(int[] aList)

  Set the lines numbers to ignore in the header check.

  Parameters:
    `aList` - comma separated list of line numbers to ignore in header.

### beginTree

    public void beginTree(DetailAST aRootAST)

  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree

### createHeaderInfo

    protected com.puppycrawl.tools.checkstyle.checks.header.HeaderInfo createHeaderInfo()

  Abstract factory method to create an unconfigured header info bean. Note that the actual type of the return value can be subclass specific.

  Specified by:
    `createHeaderInfo` in class `AbstractHeaderCheck`
  Returns:
    a header info bean for this check.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD